"""
Math utilities module - provides basic mathematical functions
"""


def add(a, b):
    """
    Add two numbers together.
    
    Args:
        a (int/float): First number
        b (int/float): Second number
    
    Returns:
        int/float: Sum of a and b
    """
    return a + b


def multiply(a, b):
    """
    Multiply two numbers together.
    
    Args:
        a (int/float): First number
        b (int/float): Second number
    
    Returns:
        int/float: Product of a and b
    """
    return a * b


def divide(a, b):
    """
    Divide two numbers.
    
    Args:
        a (int/float): Dividend
        b (int/float): Divisor
    
    Returns:
        float: Result of a divided by b
        
    Raises:
        ValueError: If b is zero
    """
    if b == 0:
        raise ValueError("Cannot divide by zero")
    return a / b
